Arnold Clark Caledonia North Region League Division 3 (Men's)
RAF Lossiemouth RFC – Inverness Craig Dunain RFC
5. Dez. 2026
Plaz am Classement
RAF Lossiemouth RFCP 5 · W 4 · D 0 · L 1 · Pts 203 vun 12
Inverness Craig Dunain RFCP 4 · W 3 · D 0 · L 1 · Pts 135 vun 12
Ganzt ClassementAktuell Form
RAF Lossiemouth RFC
- Wgéint Huntly RFC118–12
- W@ Dyce RFC105–12
- Wgéint Deeside RFC26–22
- Wgéint Peterhead RFC94–0
- L@ Aberdeen Wanderers RFC19–70
Inverness Craig Dunain RFC
- Lgéint Aberdeen Wanderers RFC5–53
- W@ Turriff RFC55–33
- Wgéint Dyce RFC122–12
- Wgéint Caithness RFC 2nd XV86–27
Direkten Duell
Keng fréier Duellen an eise Resultater.
